-- JTS3ServerMod SQL update file to build version:
-- 3039
-- Fourth line always contains the build number which is needed for this update file!
-- 3038

ALTER TABLE `jts3servermod_log` CHANGE `message` `message` TEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `jts3servermod_instanceconfig` CHANGE `configvalue` `configvalue` VARCHAR(8192) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL;
ALTER TABLE `jts3servermod_badnickname` CHANGE `textentry` `textentry` VARCHAR(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `jts3servermod_badchannelname` CHANGE `textentry` `textentry` VARCHAR(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL;
ALTER TABLE `jts3servermod_advertising` CHANGE `textentry` `textentry` VARCHAR(8192) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL;

INSERT INTO `jts3servermodwebui_functionpage` (`botfunction_id`, `configkey`, `sortnr`, `groupnext`, `typename`, `options`, `defaultValue`) VALUES(14, '_emptywarniconid', 3, 0, 'icon', 'showfirstentry', '-1');

UPDATE `jts3servermodwebui_functionpage` SET `sortnr` = 4 WHERE `botfunction_id` = 14 AND `configkey` = '_ignore_permanent';
UPDATE `jts3servermodwebui_functionpage` SET `sortnr` = 5 WHERE `botfunction_id` = 14 AND `configkey` = '_ignore_semipermanent';
UPDATE `jts3servermodwebui_functionpage` SET `sortnr` = 6 WHERE `botfunction_id` = 14 AND `configkey` = '_ignore_spacer';
UPDATE `jts3servermodwebui_functionpage` SET `sortnr` = 7 WHERE `botfunction_id` = 14 AND `configkey` = '_ignore_channels';
UPDATE `jts3servermodwebui_functionpage` SET `sortnr` = 8 WHERE `botfunction_id` = 14 AND `configkey` = '_parentchannel_list';
UPDATE `jts3servermodwebui_functionpage` SET `sortnr` = 9 WHERE `botfunction_id` = 14 AND `configkey` = '_parentchannel_list_mode';

INSERT INTO `jts3servermodwebui_translation` (`textkey`, `language_id`, `webpage`, `textmessage`) VALUES('webui_disablenoicon', 1, 'botmanager', 'No icon');
INSERT INTO `jts3servermodwebui_translation` (`textkey`, `language_id`, `webpage`, `textmessage`) VALUES('webui_disablenoicon', 2, 'botmanager', 'Kein Icon');
INSERT INTO `jts3servermodwebui_translation` (`textkey`, `language_id`, `webpage`, `textmessage`) VALUES('help_inactivechannelcheck_emptywarniconid', 1, 'InactiveChannelCheck', 'Select or set the TS3 icon id here (will be displayed in TS3 client, if you hover with the mouse on the icon in the icons selection window). This icon will be set as channel icon, if the channel is empty for a longer time than set at the empty warn time. Select "No icon" or set -1 to use the channel name prefix instead.');
INSERT INTO `jts3servermodwebui_translation` (`textkey`, `language_id`, `webpage`, `textmessage`) VALUES('help_inactivechannelcheck_emptywarniconid', 2, 'InactiveChannelCheck', 'Wähle oder setze hier eine TS3 Icon ID (wird im TS3 Client angezeigt, wenn man die Maus über dem Icon in dem Icon Auswahlfenster stehen lässt). Das Icon wird dann als Channel Icon gesetzt, wenn der Channel länger, als in der Inaktiv Warnzeit gesetzt, leer ist. Wähle "Kein Icon" oder setze dies auf -1, um den Channel Namen Prefix zu verwenden.');

UPDATE `jts3servermodwebui_translation` SET `textmessage` = 'After how many hours an empty channel will be marked as inactive (a prefix to the channel name or a channel icon will be added)? Possible values between 1 and 10000 hours. Set to -1 to disable this feature!' WHERE `textkey` = 'help_inactivechannelcheck_emptywarntime' AND `language_id` = 1;
UPDATE `jts3servermodwebui_translation` SET `textmessage` = 'Nach wie vielen Stunden soll ein leerer Channel als inaktiv markiert werden (es wird ein Prefix zum Channel Namen oder ein Channel Icon hinzugefügt)? Gültige Werte sind 1 bis 10000 Stunden. Setze den Wert auf -1 um diese Funktion zu deaktivieren!' WHERE `textkey` = 'help_inactivechannelcheck_emptywarntime' AND `language_id` = 2;
UPDATE `jts3servermodwebui_translation` SET `textmessage` = 'Teamspeak 3 server channel and group names was cached and will be deleted after 15 minutes automatically.\r\nCached last time at:' WHERE `textkey` = 'webui_ts3cache_infotext' AND `language_id` = 1;
UPDATE `jts3servermodwebui_translation` SET `textmessage` = 'Teamspeak 3 Server Channel und Gruppen Namen wurden zwischengespeichert und werden nach 15 Minuten automatisch gelöscht.\r\nDie Daten wurden zuletzt geladen am:' WHERE `textkey` = 'webui_ts3cache_infotext' AND `language_id` = 2;

UPDATE `jts3servermodwebui_translation` SET `textmessage` = REPLACE(`textmessage`, '[highlightwarning]Maximum character count for a single message: [b]Chat:[/b] 1023', '[highlightwarning]Maximum character count for a single message: [b]Chat:[/b] 8192 (less with multibyte characters!)');
UPDATE `jts3servermodwebui_translation` SET `textmessage` = REPLACE(`textmessage`, '[highlightwarning]Maximale Anzahl an Zeichen für eine einzelne Nachricht: [b]Chat:[/b] 1023', '[highlightwarning]Maximale Anzahl an Zeichen für eine einzelne Nachricht: [b]Chat:[/b] 8192 (weniger mit Mehrbyte-Zeichen!)');